@if (printData) {
  <div
    class="print-container full-height"
    [sqtmCoreWorkspace]="workspace"
    [sqtmCoreWorkspaceTheme]="workspace"
  >
    <header>
      {{ printData.entityNameKey | translate }} : {{ printData.name }}
    </header>
    @for (section of printData.sections; track section) {
      <div class="section">
        <span class="section-title">{{
          section.title | translate | capitalize
        }}</span>
        <hr />
        @switch (section.kind) {
          @case (SectionKind.information) {
            <sqtm-app-information-section [section]="section">
            </sqtm-app-information-section>
          }
          @case (SectionKind.fields) {
            <sqtm-app-fields-section [section]="section">
            </sqtm-app-fields-section>
          }
          @case (SectionKind.table) {
            <sqtm-app-table-section [section]="section">
            </sqtm-app-table-section>
          }
          @case (SectionKind.testCaseScenario) {
            <sqtm-app-test-scenario-section [section]="section">
            </sqtm-app-test-scenario-section>
          }
          @case (SectionKind.requirementStats) {
            <sqtm-app-requirement-stats-section [section]="section">
            </sqtm-app-requirement-stats-section>
          }
        }
      </div>
    }
  </div>
}
